Touchpad not recognized on Asus U80 and UL30 series. Touchpad Panel missing from mouse settings

Bug #418282 reported by Khidr on 2009-08-24
202
This bug affects 39 people
Affects Status Importance Assigned to Milestone
Baltix
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
xserver-xorg-input-synaptics (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-input-synaptics

I'm using an Asus U81. It has an elantech touchpad. The touchpad technically works, including multitouch (two finger scrolling, and three-finger "right click"). However, it is not recognized as a touchpad, and as a result, there is no way to affect the settings. I've been through every troubleshooting option around.

Problem is consistent in both 9.04 and the 9.10 alpha.

system-manufacturer:ASUSTeK Computer Inc.
system-product-name:U80A
system-version:1.0

Ubuntu 2.6.28-11.42-generic

From Dmesg:

Chipset
[ 11.051358] agpgart-intel 0000:00:00.0: detected 32764K stolen memory
[ 11.055001] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xd0000000
[ 11.095448] psmouse: Unknown parameter `elantech'
[ 11.097186] psmouse: Unknown parameter `elantech'
[ 11.098847] psmouse: Unknown parameter `elantech'

possibly relevant portions of lshal:

udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_2'
  access_control.file = '/dev/input/event3' (string)
  access_control.type = 'mouse' (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'input', 'input.mouse', 'access_control'} (string list)
  info.category = 'input' (string)
  info.parent = '/org/freedesktop/Hal/devices/computer' (string)
  info.product = 'Macintosh mouse button emulation' (string)
  info.subsystem = 'input' (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_2' (string)
  input.device = '/dev/input/event3' (string)
  input.product = 'Macintosh mouse button emulation' (string)
  input.x11_driver = 'evdev' (string)
  linux.device_file = '/dev/input/event3' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'input' (string)
  linux.sysfs_path = '/sys/devices/virtual/input/input3/event3' (string)

udi = '/org/freedesktop/Hal/devices/leds_asus_touchpad'
  info.addons.singleton = {'hald-addon-leds'} (string list)
  info.capabilities = {'leds'} (string list)
  info.category = 'leds' (string)
  info.interfaces = {'org.freedesktop.Hal.Device.Leds'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer' (string)
  info.subsystem = 'leds' (string)
  info.udi = '/org/freedesktop/Hal/devices/leds_asus_touchpad' (string)
  leds.device_name = 'asus' (string)
  leds.function = 'touchpad' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'leds' (string)
  linux.sysfs_path = '/sys/devices/virtual/leds/asus::touchpad' (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port_logicaldev_input'
  access_control.file = '/dev/input/event8' (string)
  access_control.type = 'mouse' (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'input', 'input.mouse', 'access_control'} (string list)
  info.category = 'input' (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port' (string)
  info.product = 'ImPS/2 Logitech Wheel Mouse' (string)
  info.subsystem = 'input' (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port_logicaldev_input' (string)
  input.device = '/dev/input/event8' (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port' (string)
  input.product = 'ImPS/2 Logitech Wheel Mouse' (string)
  input.x11_driver = 'evdev' (string)
  linux.device_file = '/dev/input/event8' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'input' (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio4/input/input8/event8' (string)

I have a feeling the fact that it's seeing this as a logitech wheel mouse, has something to do with the problem. I've just been unable to convince it otherwise.

Khidr (khidr9) wrote :
Chad Germann (cgermann) wrote :

I have the same issue on my Asus U81 problem is related to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/123775

Alberto Milone (albertomilone) wrote :

The touchpad is detected as a mouse ("ImPS/2 Logitech Wheel Mouse"). This looks more like a kernel issue.

Please type the following commands:
lspci -vv > lspci.txt

dmesg > dmesg.txt

and attach both files.

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Invalid
JaMa (jammazon) wrote :

Why is this bug now listed as "Invalid" - this problem still exists in 9.04 and 9.10 with both the live cd and a full install. Is there any hope of getting this fixed any time soon? The tap to click is AMAZINGLY annoying.

Alberto Milone (albertomilone) wrote :

I marked the bug as invalid for the X.org synaptics driver because the bug is in the kernel driver therefore, as you can see, I assigned the bug to the kernel i.e. "linux (Ubuntu)".

Alberto Milone (albertomilone) wrote :

@Dmitry
Any ideas on this?

Shall we contact Arjan Opmeer (arjan AT opmeer DOT net) about this bug?

On Thu, Nov 05, 2009 at 09:39:22PM -0000, Alberto Milone wrote:
> @Dmitry
> Any ideas on this?

The touchpad is currently workling in Intellimouse compatibility mode
thus is not recognized by Synaptics X driver.
>
> Shall we contact Arjan Opmeer (arjan AT opmeer DOT net) about this bug?
>

Sure, he may have an idea. He may also need full dmesg when booting with
i8042.debug to see the touchpad's response to Elantech's queries/magic
knocks.

-
Dmitry

I contacted Arjan via email and sent him the dmesg from last boot. How do I do the i8042.debug?

If someone can walk me through that I am happy to post it here/via email/whatever.

Thanks

J

On Sat, Nov 07, 2009 at 10:56:39PM -0000, JaMa wrote:
> I contacted Arjan via email and sent him the dmesg from last boot. How
> do I do the i8042.debug?
>
> If someone can walk me through that I am happy to post it here/via
> email/whatever.
>

You just add i8042.debug to the rest of the kernel options in the boot
loader (the same place where you specify root device, etc).

--
Dmitry

Same behaviour on Asus UL30A-A1, Karmic, kernel 2.6.31-14 amd64

JaMa (jammazon) wrote :

OK, I finally managed to get the debug commands into the elantech config file, kernel compiled and rebooted and here's what it says in dmesg:

root@asusU81A:~$ dmesg | grep elantech
[ 11.481465] elantech.c: Elantech version query result 0x04, 0x02, 0x11.
[ 11.481470] elantech.c: Probably not a real Elantech touchpad. Aborting.
root@asusU81A:~$

So, for whatever reason the kernel dosent even think this is the right touchpad.

So, next step?

Dmitry Torokhov (dtor) wrote :

Try commenting out "return -1" right after "Probably not a real Elantech" message in drivers/input/mouse/elantech.c and see if you get anything sensible.

JaMa (jammazon) wrote :

OK, did that and got the following:

root@asusU81A:~$ dmesg | grep elantech
[ 15.464107] elantech.c: Elantech version query result 0x04, 0x02, 0x11.
[ 15.464112] elantech.c: Probably not a real Elantech touchpad. Aborting.
[ 15.498101] elantech.c: assuming hardware version 1, firmware version 4.17
[ 15.534449] elantech.c: Synaptics capabilities query result 0x79, 0x13, 0x0d.
root@asusU81A:~$

Cheers

J

Dmitry Torokhov (dtor) wrote :

So I don't suppose it works? What if you force version 2?

JaMa (jammazon) wrote :

Ugh, forced version 2, recompiled and rebooted, same exact function. I also, just for grins, went through a bunch of different online "solutions" from setting up SHMconfig, gpointing-device-settings, tpconfig, all to no avail.

Any more ideas? I am willing to try anything.... Fedora Core maybe? :)

pi-rho (pi-rho) wrote :

Asus UL30A, Karmic, same behavior:

2.6.31-15-generic #50-Ubuntu SMP Tue Nov 10 14:53:52 UTC 2009 x86_64 GNU/Linux

input: ImPS/2 Logitech Wheel Mouse as /devices/platform/i8042/serio1/input/input9

P: /devices/platform/i8042/serio1/input/input9
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input9
E: PRODUCT=11/2/5/63
E: NAME="ImPS/2 Logitech Wheel Mouse"
E: PHYS="isa0060/serio1/input0"
E: EV==7
E: KEY==70000 0 0 0 0
E: REL==103
E: MODALIAS=input:b0011v0002p0005e0063-e0,1,2,k110,111,112,r0,1,8,amlsfw
E: SUBSYSTEM=input

# tpconfig -i
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

Dmitry Torokhov (dtor) wrote :

It would be so great if people stopped using "tpconfig" to "prove" that they have Synaptics touchpad and thus Synaptics X driver ought to work. The utility has not been working on 2.5 and never kernels (since the kernel does not allow raw access to the PS/2 port by default so all tpconfig gets is some cooked data supplied by the kernel).

pi-rho (pi-rho) wrote :

thanks for that tidbit of wisdom Mr. Smartypants

Dmitry Torokhov (dtor) wrote :

Always my pleasure.

This problem is also valid for the ASUS UL30A. The touchpad is seen as an "ImPS/2 Logitech Wheel Mouse". See in dmesg and by the command "xinput list". I am using Ubuntu 9.10.

To disable the touchpad the following command can be used:

   xinput set-int-prop "ImPS/2 Logitech Wheel Mouse" "Device Enabled" 8 0

To enable use:

   xinput set-int-prop "ImPS/2 Logitech Wheel Mouse" "Device Enabled" 8 1

To make the <Fn>F9 working I did the following:

1. As the <Fn>F9 does not generate a keycode but an acpi event you cannot assign just a keycode to a script. So I first checked the generated event hotkey code using:
   sudo acpi_listen
and pressed <Fn>F9. This gives 0000006b as event hotkey code.
2. In /etc/acpi/events there is an asus-touchpad event file. This is using the wrong code so I changed it.
3. The script /etc/acpi/assus-touchpad.sh is not correct for this touchpad so I changed it (see attached script)
4. Now send the acpid a SIGHUP signal (or reboot) and the <Fn>F9 button toggles your touchpad an or off.

Problem also valid for ASUS N61Vn.
Exactly as described in the other posts.
The <Fn>F9 fix works great.

summary: - Touchpad not recognized on Asus U80 series. Touchpad Panel missing
- from mouse settings
+ Touchpad not recognized on Asus U80 and U30 series. Touchpad Panel
+ missing from mouse settings
summary: - Touchpad not recognized on Asus U80 and U30 series. Touchpad Panel
+ Touchpad not recognized on Asus U80 and UL30 series. Touchpad Panel
missing from mouse settings

I got frustrated with manually switching on/off the touchpad so I wrote evdaemon ( http://codegrove.org/evdaemon/ ) and evdaemon-admin ( http://codegrove.org/evdaemon-admin/ ). Evdaemon is to generic event devices what Syndaemon is just for keyboards and touchpads. At least in my usage it has replaced syndaemon, perhaps some of you will find it useful too :).

I have Ubuntu-packaged it and made it available in my ppa: https://launchpad.net/~tuos/+archive/codegrove

One could argue that it would have been better to use the time and energy to help finding the real cause of this bug, but believe me, creating evdaemon and playing with the input-subsystem was too much fun :P.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Khidr,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 418282

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: me 2792 F.... pulseaudio
 /dev/snd/pcmC0D0p: me 2792 F...m pulseaudio
CRDA:
 country 98:
  (2402 - 2477 @ 40), (N/A, 20)
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe9f4000 irq 22'
   Mixer name : 'Intel G45 DEVCTG'
   Components : 'HDA:10ec0269,10431443,00100004 HDA:80862802,80860101,00100000'
   Controls : 17
   Simple ctrls : 9
CheckboxSubmission: 036ebae473b9f41a3d28bcdb84994cf2
CheckboxSystem: b8f3ec504801f13fc208edb5c785b099
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Alpha amd64 (20091007)
MachineType: ASUSTeK Computer Inc. UL30A
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-16-generic root=UUID=0363152f-7188-4505-8c6f-a90e5236f296 ro quiet splash printk.tiusername=0 gfxpayload=1024x768 i8042.nomux=1 i8042.noloop=1
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Regression: No
RelatedPackageVersions: linux-firmware 1.32
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: lucid
TestedUpstream: Yes
Uname: Linux 2.6.32-16-generic x86_64
UserGroups: adm admin audio cdrom dialout dip disk fax fuse lpadmin netdev plugdev sambashare tape vboxusers video
dmi.bios.date: 08/20/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 206
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UL30A
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr206:bd08/20/2009:svnASUSTeKComputerInc.:pnUL30A:pvr1.0:rvnASUSTeKComputerInc.:rnUL30A:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: UL30A
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

pi-rho (pi-rho) wrote : IwConfig.txt

apport information

pi-rho (pi-rho) wrote : Lspci.txt

apport information

pi-rho (pi-rho) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

pi-rho (pi-rho) wrote : UdevDb.txt

apport information

pi-rho (pi-rho) wrote : UdevLog.txt

apport information

apport information

Frej (frecon) wrote :

I have this problem with Ubuntu 10.04 AMD64 beta 1. How can I tribute to this bug report? The terminal command "apport-collect -p linux 418282" that someone in here proposed doesn't work.

Frej (frecon) wrote :

I forgot to mention that the script at post #20 doesn't work for me.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Rob (rob-mobhi) wrote :

This is also a problem for me on my UL30VT with amd64 ubuntu 10.4 beta.

Script in #20 worked great for me (after I remembered to change it to 755 ;-)
Might try tuos' evdaemon next.

is there any testing users like me can help with?

Rob (rob-mobhi) wrote :

So I've been trying to find more information about this driver. I'm new to working on drivers like this, but I'm willing to put in some effort to try and resolve this.

From my initial scans it seems to me the main source of the driver is Arjan Opmeer's driver, but that the last touches to the kernel regarding the Elantech driver were 2.6.28 or thereabouts. I'm running 2.6.32.

The Xorg synaptics driver is also involved but latest mention there is 0.99 or so, my ubuntu version is 1.2.2.

So does that mean current support is not forthcoming? Do we need to get going here and try figure it out ourselves? I'm willing to put in some effort - but I'm trying to find out where we are now, and what's happening.

Florian Ragwitz (rafl) wrote :

I fixed the driver to work on newer touchpad firmwares, and sent off the patches to the linux-input mailinglist: http://www.spinics.net/lists/linux-input/msg08277.html

These patches make things Just Work on my ASUS UL30A, but I've pretty much hardcoded my particular firmware version to avoid detecting non-elantech devices wrongly. However, I also added a force_elantech option to the psmouse module. If a kernel with those four patches applied still doesn't recognize your elantech device as such, please retry with force_elantech=1 and report the firmware version of your hardware as reported in the kernel log.

Download full text (5.4 KiB)

Fantastic - I applied the patches and recompiled, and this looks to have
solved all my touchpad woes. I can configure, and I am not getting random
jumps. Yes - it *just works*

thanks Florian!

On Sun, Apr 25, 2010 at 7:18 AM, Florian Ragwitz <email address hidden> wrote:

> I fixed the driver to work on newer touchpad firmwares, and sent off the
> patches to the linux-input mailinglist: http://www.spinics.net/lists
> /linux-input/msg08277.html
>
> These patches make things Just Work on my ASUS UL30A, but I've pretty
> much hardcoded my particular firmware version to avoid detecting non-
> elantech devices wrongly. However, I also added a force_elantech option
> to the psmouse module. If a kernel with those four patches applied still
> doesn't recognize your elantech device as such, please retry with
> force_elantech=1 and report the firmware version of your hardware as
> reported in the kernel log.
>
> --
> Touchpad not recognized on Asus U80 and UL30 series. Touchpad Panel missing
> from mouse settings
> https://bugs.launchpad.net/bugs/418282
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
> Status in “xserver-xorg-input-synaptics” package in Ubuntu: Invalid
> Status in Baltix GNU/Linux: New
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> I'm using an Asus U81. It has an elantech touchpad. The touchpad
> technically works, including multitouch (two finger scrolling, and
> three-finger "right click"). However, it is not recognized as a touchpad,
> and as a result, there is no way to affect the settings. I've been through
> every troubleshooting option around.
>
> Problem is consistent in both 9.04 and the 9.10 alpha.
>
> system-manufacturer:ASUSTeK Computer Inc.
> system-product-name:U80A
> system-version:1.0
>
> Ubuntu 2.6.28-11.42-generic
>
> >From Dmesg:
>
> Chipset
> [ 11.051358] agpgart-intel 0000:00:00.0: detected 32764K stolen memory
> [ 11.055001] agpgart-intel 0000:00:00.0: AGP aperture is 256M @
> 0xd0000000
> [ 11.095448] psmouse: Unknown parameter `elantech'
> [ 11.097186] psmouse: Unknown parameter `elantech'
> [ 11.098847] psmouse: Unknown parameter `elantech'
>
> possibly relevant portions of lshal:
>
> udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_2'
> access_control.file = '/dev/input/event3' (string)
> access_control.type = 'mouse' (string)
> info.callouts.add = {'hal-acl-tool --add-device'} (string list)
> info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
> info.capabilities = {'input', 'input.mouse', 'access_control'} (string
> list)
> info.category = 'input' (string)
> info.parent = '/org/freedesktop/Hal/devices/computer' (string)
> info.product = 'Macintosh mouse button emulation' (string)
> info.subsystem = 'input' (string)
> info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_2'
> (string)
> input.device = '/dev/input/event3' (string)
> input.product = 'Macintosh mouse button emulation' (string)
> input.x11_driver = 'evdev' (string)
> linux.device_file = '/dev/input/event3' (string)
> linux.hotplug_type = 2 (0...

Read more...

Erik Ekman (erik-g-ekman) wrote :

This is great news! Sorry for the stupid question, but how do I apply the patch? I've downloaded kernel source and have tried running what appear to be shell commands in the patch posts from the root directory of the source. It doesn't seem to be doing anything. I realize this isn't exactly the place for a simple question like this, but I've been unable to type properly since November. Thanks for all the work on this.

Erik

Erik Ekman (erik-g-ekman) wrote :

I found the forum post. Never mind. Thanks for all the hard work!

johan (boeckx-johan) wrote :

HI, I have a N61jv with the same problem : I changed the settings as proposed, but the fnctF9 enable/disable touchpad, still doesnt work.

sudo acpi_listen
[sudo] password for xxxxx:
hotkey ATKD 0000006b 00000004

cat asus-touchpad
# /etc/acpi/events/asus-touchpad
# This is called when the user presses the touchpad button and calls
# /etc/acpi/asus-touchpad.sh for further processing.

event=hotkey (ATKD|HOTK) 0000006b
action=/etc/acpi/asus-touchpad.sh

/etc/acpi$ cat asus-touchpad.sh
#!/bin/sh
[ -f /usr/share/acpi-support/state-funcs ] || exit 0

. /usr/share/acpi-support/power-funcs

# if this is the right behavior, then this should be moved out of acpi-support
# to hal (or whatever is replacing hal for such events)
getXconsole

XINPUT="ImPS/2 Logitech Wheel Mouse"

# get the current state of the touchpad
tpstate=`xinput list-props "$XINPUT" | grep "Device Enabled" | cut -d: -f2`

# if getting the status failed, exit
test -z $tpstate && exit 1

if [ $tpstate -eq 0 ]; then
   xinput set-int-prop "$XINPUT" "Device Enabled" 8 1
else
   xinput set-int-prop "$XINPUT" "Device Enabled" 8 0
fi

any solutions ?

greetz,
Johan

Johan, see my post here for fixing Fn+F9: http://ubuntuforums.org/showthread.php?p=9271851#post9271851

Tom V (avagias) wrote :

Hi,

I'm seeing the same issue. Im running Ubuntu 9.10 (kernel version: 2.6.31-22-generic) on an ASUS K60I laptop. It doesn't recognize the touchpad at all.

I've tried applying the patch listed above by following the very thorough instructions provided by AllurGroceries (http://ubuntuforums.org/showthread.php?p=9175201#post9175201)

The problem I have is that when I get to step 5, in my kernel src/drivers/input/mouse directory I dont have an elantech.c file.

Am I missing a step to get that file? Any help would be appreciated because the mouse is so sensitive typing becomes a real pain since the cursor is always jumping around.

Thanks in advance

If you're missing elantech.c your kernel sources are incomplete. Try using elantech.c extracted from a vanilla source tarball from kernel.org.

Piorek Piotr (djlaxo) wrote :

solution from #20 post does work for me BUT after rebooting Ubuntu doesn't remember previous setting, so that I have to re-Hotkey to disable touchpad. Any ideas for that...?

luka (luka-brixien) wrote :

This problem is also valid for the ASUS X72J. The touchpad is seen as an "ImPS/2 Logitech Wheel Mouse". I am using Ubuntu 10.04 64bit

Bartosz Fenski (fenio) wrote :

It's also valid for Asus K52J serie.

LifeBringer (ra-thesungod) wrote :

Smart pad issues here on the acer.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers